## org.eclipse.ocl.cst
Interface BooleanLiteralExpCS

All Superinterfaces:
  CSTNode, EObject, LiteralExpCS, Notifier, OCLExpressionCS, PrimitiveLiteralExpCS

All Known Implementing Classes:
  BooleanLiteralExpCSImpl

    public interface BooleanLiteralExpCS

extends PrimitiveLiteralExpCS

A representation of the model object 'Boolean Literal Exp CS'.

The following features are supported:

- `Boolean Symbol`

See Also:
  `CSTPackage.getBooleanLiteralExpCS()`

Method Summary
`Boolean` `getBooleanSymbol()` Returns the value of the 'Boolean Symbol' attribute
`void` `setBooleanSymbol(Boolean value)` Sets the value of the '`Boolean Symbol`' attribute

Methods inherited from interface org.eclipse.ocl.cst.PrimitiveLiteralExpCS
`getSymbol, setSymbol`

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getEndOffset, getStartOffset, setEndOffset, setStartOffset`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBooleanSymbol

    Boolean getBooleanSymbol()

  Returns the value of the 'Boolean Symbol' attribute.

  If the meaning of the 'Boolean Symbol' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Boolean Symbol' attribute.
  See Also:
    `setBooleanSymbol(Boolean)`, `CSTPackage.getBooleanLiteralExpCS_BooleanSymbol()`

### setBooleanSymbol

    void setBooleanSymbol(Boolean value)

  Sets the value of the '`Boolean Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Boolean Symbol' attribute.
  See Also:
    `getBooleanSymbol()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.